Bug 202724 - sysutils/debhelper doesn't install all components
Summary: sysutils/debhelper doesn't install all components
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-28 18:30 UTC by bigangrygreenguy
Modified: 2015-09-20 20:33 UTC (History)
0 users

See Also:


Attachments
replaces incompatable 'gnu' chown commandline with bsd compatable version (540 bytes, patch)
2015-09-01 16:47 UTC, bigangrygreenguy
no flags Details | Diff
replaces incompatable 'gnu' find commandline with bsd compatable version (389 bytes, patch)
2015-09-01 16:48 UTC, bigangrygreenguy
no flags Details | Diff
correct BSD incompatabilities (426 bytes, patch)
2015-09-01 16:49 UTC, bigangrygreenguy
no flags Details | Diff
replaces incompatable 'gnu' find commandline with bsd compatable version in Makefile (1.83 KB, patch)
2015-09-01 16:50 UTC, bigangrygreenguy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bigangrygreenguy 2015-08-28 18:30:04 UTC
The makefile in debhelper uses incompatible find arguments to discover which files to install.

Attached is a diff that updates the port to use a BSD compatible 'find' rather than gnu find.
Comment 1 bigangrygreenguy 2015-08-28 18:30:48 UTC
note, without these additional installed binaries, debhelper doesn't actually include most of the utilities required to build packages.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2015-08-30 00:51:40 UTC
Fix Summary and assign.

Note to submitter: the attachment did not seem to make it into Bugzilla.
Comment 3 bigangrygreenguy 2015-09-01 16:47:47 UTC
Created attachment 160597 [details]
replaces incompatable 'gnu' chown commandline with bsd compatable version
Comment 4 bigangrygreenguy 2015-09-01 16:48:10 UTC
Created attachment 160598 [details]
replaces incompatable 'gnu' find commandline with bsd compatable version
Comment 5 bigangrygreenguy 2015-09-01 16:49:40 UTC
Created attachment 160599 [details]
correct BSD incompatabilities

BSD rmdir doesn't support "--ignore-fail-on-non-empty", however the calling library has a method that ignores failures.  use that instead, which is effectively the same thing.
Comment 6 bigangrygreenguy 2015-09-01 16:50:23 UTC
Created attachment 160600 [details]
replaces incompatable 'gnu' find commandline with bsd compatable version in Makefile
Comment 7 commit-hook freebsd_committer 2015-09-20 20:20:22 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Sep 20 20:19:20 UTC 2015
New revision: 397414
URL: https://svnweb.freebsd.org/changeset/ports/397414

Log:
  - Install complete list of components
  - Bump PORTREVISION for package change

  PR:		202724
  Submitted by:	<bigangrygreenguy@gmail.com>

Changes:
  head/sysutils/debhelper/Makefile
  head/sysutils/debhelper/files/patch-Makefile
  head/sysutils/debhelper/files/patch-dh_fixperms
  head/sysutils/debhelper/files/patch-dh_installman
  head/sysutils/debhelper/files/patch-dh_perl
  head/sysutils/debhelper/pkg-plist
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-09-20 20:33:06 UTC
Committed. Thanks!